Bug 985791 - perl-core does not contain all perl modules
Summary: perl-core does not contain all perl modules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: perl
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jitka Plesnikova
QA Contact: Martin Kyral
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-18 09:09 UTC by Victor Efimov
Modified: 2013-11-21 04:41 UTC (History)
4 users (show)

Fixed In Version: perl-5.10.1-135.el6
Doc Type: Bug Fix
Doc Text:
Cause: perl-core should requires all of the perl bits and modules in the upstream tarball from perl.org Consequence: Module CGI.pm is missing after the installation of perl-core Fix: Add perl-CGI to perl-core's run-requires Result: The module CGI.pm is on system after the installation of perl-core
Clone Of:
Environment:
Last Closed: 2013-11-21 04:41:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1534 normal SHIPPED_LIVE perl bug fix and enhancement update 2013-11-20 21:40:56 UTC

Description Victor Efimov 2013-07-18 09:09:57 UTC
perl-core package has a description "A metapackage which requires all of the perl bits and modules in the upstream tarball from perl.org."

However it's not accurate. It misses CGI.pm

CGI.pm is not listed in dependencies http://pkgs.org/centos-6-rhel-6/centos-rhel-x86_64/perl-core-5.10.1-129.el6.x86_64.rpm.html

And CGI.pm does not get installed after perl-core install

I propose update description for perl-core package and mention that not everything from tarball is installed.

Comment 5 errata-xmlrpc 2013-11-21 04:41:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1534.html


Note You need to log in before you can comment on or make changes to this bug.